abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 1
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 24
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 785 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Problém s instalací gnome15

9.4. 17:42 Martina
Problém s instalací gnome15
Přečteno: 389×
Dobrý den, v manulálu se píše, že mám vykonat následující:
1) sudo apt-get update
2) sudo apt-get upgrade
3) sudo apt-get install make git build-essential
4) cd /tmp
5) git clone https://github.com/Huskynarr/gnome15.git
6) cd gnome15
7) ./configure
8) make
9) sudo make install
Zastavila jsem se na bodu 7. bash: ./configure: Adresář nebo soubor neexistuje

Jsem úplý začátečník a neznám nikoho kdo by mi poradil. Může mi prosím někdo poradit ? Děkuji, M.

Řešení dotazu:


Odpovědi

9.4. 17:57 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Ještě přidám výstup z ls
AUTHORS      build-pot.sh  data                     debug.sh   INSTALL      man              NEWS    TRANSLATION_PROGRESS.txt
b.sh         configure.ac  debug-g15-config.sh      doc        i18n         mksvgheaders.py  README
build-po.sh  COPYING       debug-g15-systemtray.sh  ChangeLog  Makefile.am  m4               src
9.4. 18:07 NN
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Mezi krok 6] a 7] patri jeste:
sudo apt-get install autoconf
autoconf
9.4. 18:13 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Děkuji, nainstalovala jsem to a spustila, ale něco je ještě špatně ?

lin@lin /tmp/gnome15 $ autoconf
configure.ac:3: error: possibly undefined macro: AM_INIT_AUTOMAKE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:4: error: possibly undefined macro: AM_MAINTAINER_MODE
configure.ac:19: error: possibly undefined macro: AM_PATH_PYTHON
configure.ac:209: error: possibly undefined macro: AM_CONDITIONAL
9.4. 18:23 NN
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Jeste makra pro automake:
sudo apt-get install automake
autoconf
9.4. 18:40 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Děkuji, tak teď jsem dostala tuto chybu
configure: error: Requires Python uinput and libsuinput
Zkusila jsem
apt-get install python-uinput
apt-get install python-libsuinput
ale balík nelze najít :(
9.4. 19:01 NN
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
http://tjjr.fi/sw/python-uinput/#download-and-install

http://tjjr.fi/sw/libsuinput/#download-and-install
13.4. 23:08 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Díky za snahu ale kašlu na to, sedím u toho týden a je to jeden problém vedle druhého. Nevím k čemu ty manuály jsou, každý druhý příkaz skončí chybou. Zlatý Windows XP, tam mám čas na práci. Linux je jen pro ty co se asi celý den nudí. Nikdy více!
Chytrex avatar 14.4. 09:36 Chytrex | skóre: 27 | Bohumín
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
vždyť ti níže NN postnul odkaz na balíčky abys to nemusela kompilovat ze zdrojáků.
Hrdý člen KERNEL ULTRAS .:. define QUESTION ((bb) || !(bb)) .:. Odmítám vaši realitu a nahrazuji ji svou vlastní..
14.4. 12:15 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Balíček jsem zkoušela jako první, právě proto, abych se vyhnula komplikacím při kompilaci. Když ale instalace balíčku napíše jen to, že nebyly splněny potřebné závislosti a jinak nic víc, těžko s tím něco udělám. To ale není jen problém s klávesnicí, ale i s grafikou, tiskárnou atd.. Těžko říct pro koho je vlastně Linux s GUI určen, ale pro začátečníky ani pokročilé určitě ne a nevěřím, že lidi typu BEST OFF mají tolik času řešit triviální problémy. V Debianu (server) dělám od verze Woody a nepamatuji se, kdy jsem řešila nějaký výraznější problém. Prostě Linux + Desktop je utrpení. Když pročítám vlákna tak je až zarážející co všechno lidi na desktopu řeší a já koza stará ještě pokukovala po notebooku který připravuje Dell s Ubuntu přímo pro vývojáře :-D Největší problém je ale ten, že na celém fóru je tak max 5 lidí co něco umí a poradí, dalších cca 10 lidí co to umí najít a poradit, dalších 10 vysíračů co nikdy neporadily a 100 000 zoufalců kteří čekají s připraveným CTRL+C ;-) Něco je špatně !!! Nech se vám tu všem daří, Martina.
k3dAR avatar 14.4. 14:56 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
to je zajimave ze provozuju desktop na 10 ruznych zarizeni (pentium m/coreduo/nekolik gen atomu/i5/i7/arm, intel/ati/amd/nvidia, touchscreen kapacitni/rezistivni/wacom/infra, hdd/ssd/sshd, kompozitni/s-video/vga/dp/hdmi) a desktop systemy funguji a nedelaji problemy ;) neco je urcite spatne, ale casto to sedi na zidli a zapomelo ze windows se take muselo naucit ;)
porad nemam telo, ale uz mam hlavu... nobody
15.4. 15:20 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
...neco je urcite spatne, ale casto to sedi na zidli...
Tak určitě, pochybuji, že tvůrci těch sraček u toho bastlení stojí.
k3dAR avatar 15.4. 19:43 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
nedoslo ti ze rec byla o tobe? nevadi, neco ti poradim, kdyz tvoris sracky jdi radeji na zachod nez sedet na zidli...
porad nemam telo, ale uz mam hlavu... nobody
15.4. 19:55 MadCatX
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Kdyby ses zmínila, co za závislosti tomu balíčku chybí, určitě by se s tím dalo něco dělat. BTW dělat soudy o Linuxu na desktopu podle jednoho prográmku, který bohužel závisí na trochu obskurních knihovničkách je trochu nespravedlivé. Mě třeba v práci Widle rozzuřily tak, že jsem sebou začal tahat notebook a z hlediska pracovní produktivity je to skoro nepopsatelný rozdíl.
Tak určitě, pochybuji, že tvůrci těch sraček u toho bastlení stojí.
Okay, tohle se povedlo :D :D
15.4. 21:31 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Jak jsem již psala, na serveru neznám problém a pokud vím, pro to byl snad i Linux stvořen, ne ? V žádném případě nikoho a nic nesoudím, ať každý používá co mu vyhovuje. Jen je pravda to, že cokoliv chci rozjet na desktopu zejména ovladače je běh na dlouhou trať a ne všichni na to mají čas :(. Co mě ale dokáže vytočit jsou stupidní kecy diskutérů typu "jsi blbec, mě to funguje, problém je mezi klávesnicí a židlou".
k3dAR avatar 15.4. 21:49 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
jestli to nejsou reakce na stupidni kecy typu "je to utrpeni", "neni to ani pro pokrocile", pak totiz ty reakce nevytrzene z kontextu davaji vyznam... nebo mas opravdu pocit ze starani o linux servery a/nebo starani o windows desktop ma kazdy od narozeni? a kdyz pises ze cokoliv chces rozjet zejmena ovladace je beh na dlouho trat, samozrejme ale vynechavas tu nasobne pravazujici mnozstvi tech ovladacu co chodi out-of-box a okamzite, bez jakehokoliv reseni...
ani sem netvrdil ze by melo chodit vzdy vse, ale ze pokud toho funguje velmi hodne, neni mozne rict ze nefunguje globalne nic, a problem na zidli nastava kdyz clovek co ma technicke znalosti si stezuje ze nemuze uplatnit stavajici ziskane pri reseni problemu u neceho jineho...
porad nemam telo, ale uz mam hlavu... nobody
Chytrex avatar 15.4. 22:08 Chytrex | skóre: 27 | Bohumín
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
To pravděpodobně je tvým hardwarem.. před rokem mi umřel systémový disk a čistá instalace Debian Wheezyho + Trinity Desktop mi zabrala asi 3h
Hrdý člen KERNEL ULTRAS .:. define QUESTION ((bb) || !(bb)) .:. Odmítám vaši realitu a nahrazuji ji svou vlastní..
15.4. 22:42 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Nevím čím to je, ale nejde to nainstalovat ani přímo kompilací ani z toho deb balíčku. :-(
Status
Error: Závistlost nemůže být splněna: gnome15

Lintian output
E: gnome15-ubuntu: debian-changelog-file-contains-invalid-email-address tanktarta@blue
E: gnome15-ubuntu: no-copyright-file
W: gnome15-ubuntu: empty-binary-package
Lintian finished with exit status 1
k3dAR avatar 15.4. 23:06 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
si tak rikam, jak se muze nekdo oznacit za uplneho zacatecnika, kdyz dela s debianem na serveru ~10-13let?
neresis desktop problem, ale instalaci balicku nebo instalaci ze zdrojoveho kodu, neznam zadneho spravce serveru (ani domaciho) ktery by pred 10lety nepotreboval neco zkompilovat ze zdrojaku nebo neresit zavislosti instalovaneho balicku ;)
porad nemam telo, ale uz mam hlavu... nobody
16.4. 00:23 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Klasika, řeší se všechno jenom ne dotaz ;) - Desktop neznám, neumím, nikdy jsem ho nepotřebovala, tudíž jsem začátečník. - Kompilaci jsem nikdy nepotřebovala, vše potřebné bylo vždy v repozitářích Debianu + perfektní dokumentace!
k3dAR avatar 16.4. 00:36 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
ten balicek je pro ubuntu12.04, nebo debian asi 7... jestli to instalujes do jine verze asi to bude delat problem, zaroven je project gnome15 nejspis v divne fazi, puvodni maintainter toho nechal, nekdo to prevzal a nefungujou mu stranky ale ma to na github 3roky starou verzi, z ktere udelal fork a nejake upravy ten co mas git url v OP, ten odkazuje s postupem instalace na soubor INSTALL nebo Wiki na github, kde je navic seznam balicku co mas nainstalovat, ale seznam neni aktualni (pro debian8)... to je jen shrnuti toho ze mas proste smulu s narazenim na neco co neni opravdu out-of-box :)
v jake distru a verzi to zkousis?
porad nemam telo, ale uz mam hlavu... nobody
16.4. 01:42 Martina
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Zkoším to v Linux Mint Mate 17.3
k3dAR avatar 16.4. 05:18 k3dAR | skóre: 39
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
libsuinput postup z: http://tjjr.fi/sw/libsuinput/#download-and-install
git clone https://github.com/tuomasjjrasanen/libsuinput.git
cd libsuinput
./autogen.sh
./configure
make
sudo make install
cd ..
python-uinput postup z: http://tjjr.fi/sw/python-uinput/#download-and-install
+ tam neuvedene balicky python-pip libudev-dev
sudo apt-get install python-pip libudev-dev
sudo pip install python-uinput
gnome15 postup z: https://github.com/Huskynarr/gnome15.git
+ tam neuvedene balicky python-keyring python-wnck git(i kdyz v mint uz je) build-essential(i kdyz mozna neni treba)
- tam uvedeny balicek install
+ tam neuvedene pusteni libtolize a automake
sudo apt-get install build-essential gcc make autoconf libtool python-gtk2-dev python-virtkey python-pyinotify python-usb python-rsvg python-xlib python-keyring python-wnck
git clone https://github.com/Huskynarr/gnome15.git
cd gnome15
libtolize
automake
autoconf
./configure
make
sudo make install
cd ..
nemam zarizeni na zkousku, zkompilovalo se to a nainstalovalo, pri pusteni sluzby hlasi problem s natazenim ovladace, bud je problem tedy jeste s ovladacem, nebo tim ze nemam pripojene zarizeni...
porad nemam telo, ale uz mam hlavu... nobody
9.4. 22:53 NN
Rozbalit Rozbalit vše Re: Problém s instalací gnome15
Jinak pokud se nechces trapit kompilaci, muzes otestovat hotovy balik pro Ubuntu/Debian.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.